org.apache.cassandra.io.sstable.metadata

## Class MetadataCollector.MinMaxIntTracker

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.MetadataCollector.MinMaxIntTracker

Enclosing class:
  MetadataCollector

    public static class MetadataCollector.MinMaxIntTracker
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MinMaxIntTracker()`
`MinMaxIntTracker(int defaultMin, int defaultMax)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `max()`
`int` `min()`
`void` `update(int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MinMaxIntTracker

    public MinMaxIntTracker()

#### MinMaxIntTracker

    public MinMaxIntTracker(int defaultMin,
                            int defaultMax)

### Method Detail

#### update

    public void update(int value)

#### min

    public int min()

#### max

    public int max()